/*
 *  Copyright: Collin Mulliner <collin[at]mulliner.org>
 *  Web: http://www.mulliner.org/nfc/
 *  
 *  License: GPLv2
 *  
 */

public class NFCTagCmd
{
	private int commandType;
	private String data;
	
	public NFCTagCmd()
	{
		commandType = 0;
	}
	
	public NFCTagCmd(int cmdType)
	{
		commandType = cmdType;
	}
	
	public int getType()
	{
		return commandType;
	}
	
	public void setData(byte[] d, int length)
	{
		byte[] bd = new byte[length];
		System.arraycopy(d, 0, bd, 0, length);
		data = new String(bd);
	}
	
	public String getData()
	{
		return data;
	}
}